Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ssget ":L"

10 REPLIES 10
Reply
Message 1 of 11
Anonymous
4550 Views, 10 Replies

ssget ":L"

Here's a line from an ET program:

(setq ss(ssget "_:L" '((-4 . " (0 . "VIEWPORT")(-4 . "NOT>"))))

What's the "_:L"? Can't find it in help. The line works ok. If it were "_L" it would
return immediately and not await user input.

rs
10 REPLIES 10
Message 2 of 11
Anonymous
in reply to: Anonymous

":L" rejects entities on locked layers.

"tcebob" wrote in message
news:4973141@discussion.autodesk.com...
Here's a line from an ET program:

(setq ss(ssget "_:L" '((-4 . " (0 . "VIEWPORT")(-4 . "NOT>"))))

What's the "_:L"? Can't find it in help. The line works ok. If it were "_L"
it would
return immediately and not await user input.

rs
Message 3 of 11
Anonymous
in reply to: Anonymous

Ah, so. Any other little secrets they don't mention?

rs


"Art Cooney" wrote in message news:4973156@discussion.autodesk.com...
":L" rejects entities on locked layers.

"tcebob" wrote in message
news:4973141@discussion.autodesk.com...
Here's a line from an ET program:

(setq ss(ssget "_:L" '((-4 . " (0 . "VIEWPORT")(-4 . "NOT>"))))

What's the "_:L"? Can't find it in help. The line works ok. If it were "_L"
it would
return immediately and not await user input.

rs
Message 4 of 11
Anonymous
in reply to: Anonymous

I picked this up from some helpful soul a while back :-
(ssget) options
Some of these are undocumented.
A All
B Box
C Crossing
CP Crossing Polygon
:D Duplicates OK
:E Everything in aperture
F Fence
G Groups
I Implied
L Last
:L Rejects locked layers
M Multiple
:N Nested
P Previous
:P Rejects Viewport
:S Force single object selection only
W Window
WP Window Polygon
X Extended search (search whole database)


Also, the following on a thread about this subject - sorry I lost the
"Author" info :-

Try this, Jason:

(ssget "+.:E:S" '((0 . "ARC")))

(Stig Madsen clued me in on the "+." option!)
--


"tcebob" wrote in message
news:4973169@discussion.autodesk.com...
Ah, so. Any other little secrets they don't mention?

rs


"Art Cooney" wrote in message
news:4973156@discussion.autodesk.com...
":L" rejects entities on locked layers.
Message 5 of 11
Anonymous
in reply to: Anonymous

Good list - I will keep it available.

I have used ":E:S" successfully but what does the + do?

rs


"Gordon Stephens" wrote in message
news:4973240@discussion.autodesk.com...
I picked this up from some helpful soul a while back :-
(ssget) options
Some of these are undocumented.
A All
B Box
C Crossing
CP Crossing Polygon
:D Duplicates OK
:E Everything in aperture
F Fence
G Groups
I Implied
L Last
:L Rejects locked layers
M Multiple
:N Nested
P Previous
:P Rejects Viewport
:S Force single object selection only
W Window
WP Window Polygon
X Extended search (search whole database)


Also, the following on a thread about this subject - sorry I lost the
"Author" info :-

Try this, Jason:

(ssget "+.:E:S" '((0 . "ARC")))

(Stig Madsen clued me in on the "+." option!)
--
Message 6 of 11
Anonymous
in reply to: Anonymous

Well I went back to my collection of code snippets and couldn't find the
answer, so I did a google search on the ng and this is what seems to be the
answer :-

This allows you to use the crossing or window for the single selection

Since "+." is undocumented, that might be the trouble; it may have never
made it to the French version.

If that is the case, you can emulate the same behavior by setting PickAuto=0
for the duration of the (ssget).
HTH

Gordon.

"tcebob" wrote in message
news:4973620@discussion.autodesk.com...
Good list - I will keep it available.

I have used ":E:S" successfully but what does the + do?

rs
Message 7 of 11
Anonymous
in reply to: Anonymous

Sad to say, I do not use the French version. I did find that ":S" does tolerate the
window/crossing. Never paid a lot of attention to Pickauto; I have always had it on (1).
That's why ":S" lets me get away with it, I guess. So when I put my wonderful collection
of utilities on the market that's another damn variable to store and reset. But I'm gonna
be rich and famous, like that guy Dotson. Someday.

rs


"Gordon Stephens" wrote in message
news:4974408@discussion.autodesk.com...
Well I went back to my collection of code snippets and couldn't find the
answer, so I did a google search on the ng and this is what seems to be the
answer :-

This allows you to use the crossing or window for the single selection

Since "+." is undocumented, that might be the trouble; it may have never
made it to the French version.

If that is the case, you can emulate the same behavior by setting PickAuto=0
for the duration of the (ssget).
HTH

Gordon.

"tcebob" wrote in message
news:4973620@discussion.autodesk.com...
Good list - I will keep it available.

I have used ":E:S" successfully but what does the + do?

rs
Message 8 of 11
Anonymous
in reply to: Anonymous

Go for it! 🙂
Gordon.

"tcebob" wrote in message
news:4975234@discussion.autodesk.com...
Sad to say, I do not use the French version. I did find that ":S" does
tolerate the
window/crossing. Never paid a lot of attention to Pickauto; I have always
had it on (1).
That's why ":S" lets me get away with it, I guess. So when I put my
wonderful collection
of utilities on the market that's another damn variable to store and reset.
But I'm gonna
be rich and famous, like that guy Dotson. Someday.

rs
Message 9 of 11
coopdetat
in reply to: Anonymous

Hi,

The list of ssget options is nice, tyvm; however, the forum translation of some into smiley faces is not so nice.  I don't know much about making smileys so I have no clue what the original option text was before it became a smiley face.

Could you repost the list as code so that the text won't become smileys (hopefully)?

---------------------------------------------Signature--------------------------------------------
Civil Design Professional Since 1983 (Intergraph), AutoCAD since 1989

Windows 10 Pro 64-bit Intel﴾R﴿ Core﴾TM﴿ i9-12900KF CPU 3.19GHz; 32 GB DDR4 4266 Dual Channel RAM
nVidia Quadro RTX 4000; AutoCAD Civil 3D 2023.2.1 Update
Message 10 of 11
hmsilva
in reply to: coopdetat

coopdetat,
Under
My Settings -> Emoticon type -> None

will do the trick...


EDIT: Also may be useful this Lee Mac's explanation


HTH
Henrique

EESignature

Message 11 of 11
Kent1Cooper
in reply to: coopdetat


@coopdetat wrote:

... the forum translation of some into smiley faces is not so nice.  ... I have no clue what the original option text was before it became a smiley face.

....


Henrique's suggestion is the way to go, but in case you want to see all the colon-plus-character combinations that cause emoticons, there's a translator for when you're not signed in, or are signed in but haven't turned emoticons off.

Kent Cooper, AIA

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost